Package org.eclipse.emf.cdo.transaction

# Interface CDOConflictResolver3

All Superinterfaces:
  `CDOConflictResolver`

public interface CDOConflictResolver3 extends CDOConflictResolver
A strategy used to customize the default conflict resolution behavior of `transactions`.

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`CDOConflictResolver.NonConflictAware`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`preCommit()`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`getTransaction, resolveConflicts, setTransaction`

## Method Details

### preCommit

boolean preCommit()

Returns:
  `false` to abort the commit operation, `true` otherwise.